IvyPublish.PublishArtifact
Date: 2014-12-13

org.apache.ivy.ant

## Class IvyPublish.PublishArtifact

- java.lang.Object
- - org.apache.ivy.ant.IvyPublish.PublishArtifact

- All Implemented Interfaces:
    Artifact, ExtendableItem, org.apache.tools.ant.DynamicAttribute
  Enclosing class:
    IvyPublish

      public class IvyPublish.PublishArtifact
      extends java.lang.Object
      implements Artifact, org.apache.tools.ant.DynamicAttribute

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IvyPublish.PublishArtifact()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String attName)` Gets the value of an attribute Can be used to access the value of a standard attribute (like organisation, revision) or of an extra attribute.
    `java.util.Map` | `getAttributes()` Returns a Map of all attributes of this extendable item, including standard and extra ones.
    `java.lang.String[]` | `getConfigurations()` Returns the list of configurations where this artifact is associated to.
    `java.lang.String` | `getExt()` Retrieve the extension of the artifact.
    `java.lang.String` | `getExtraAttribute(java.lang.String attName)` Gets the value of an extra attribute Can be used only to access the value of an extra attribute, not a standard one (like organisation, revision)
    `java.util.Map` | `getExtraAttributes()` Returns a Map of all extra attributes of this extendable item.
    `ArtifactRevisionId` | `getId()` Return the specific identifier of this artifact.
    `ModuleRevisionId` | `getModuleRevisionId()` Returns the resolved module revision id for this artifact
    `java.lang.String` | `getName()` Return the name of the artifact, generally 'part' of the basename of the file.
    `java.util.Date` | `getPublicationDate()` Returns the resolved publication date for this artifact
    `java.util.Map` | `getQualifiedExtraAttributes()` Returns a Map of all extra attributes of this extendable item.
    `java.lang.String` | `getType()` Returns the type of the artifact, typically 'jar', 'source', 'javadoc', 'debian', ...
    `java.net.URL` | `getUrl()` Returns the url at which this artifact can be found independently of ivy configuration.
    `boolean` | `isMetadata()` Returns true if this artifact represents a module metadata artifact, false if it's a published artifact
    `void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)`
    `void` | `setExt(java.lang.String ext)`
    `void` | `setName(java.lang.String name)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IvyPublish.PublishArtifact

          public IvyPublish.PublishArtifact()

  - ### Method Detail

    - #### getConfigurations

          public java.lang.String[] getConfigurations()

      Description copied from interface: `Artifact`
      Returns the list of configurations where this artifact is associated to.
      Specified by:
        `getConfigurations` in interface `Artifact`
      Returns:
        the list of configuration this artifact is associated to. Never null.

    - #### getExt

          public java.lang.String getExt()

      Description copied from interface: `Artifact`
      Retrieve the extension of the artifact. The extension is without dot (ie. 'jar' and not '.jar')
      Specified by:
        `getExt` in interface `Artifact`
      Returns:
        the extension of the artifact. Never null.

    - #### getId

          public ArtifactRevisionId getId()

      Description copied from interface: `Artifact`
      Return the specific identifier of this artifact.
      Specified by:
        `getId` in interface `Artifact`
      Returns:
        the id of the artifact

    - #### getModuleRevisionId

          public ModuleRevisionId getModuleRevisionId()

      Description copied from interface: `Artifact`
      Returns the resolved module revision id for this artifact
      Specified by:
        `getModuleRevisionId` in interface `Artifact`
      Returns:
        the resolved module revision id.

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Artifact`
      Return the name of the artifact, generally 'part' of the basename of the file.
      Specified by:
        `getName` in interface `Artifact`
      Returns:
        the name of the artifact. Never null.

    - #### getPublicationDate

          public java.util.Date getPublicationDate()

      Description copied from interface: `Artifact`
      Returns the resolved publication date for this artifact
      Specified by:
        `getPublicationDate` in interface `Artifact`
      Returns:
        the resolved publication date. Never null.

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `Artifact`
      Returns the type of the artifact, typically 'jar', 'source', 'javadoc', 'debian', ...
      Specified by:
        `getType` in interface `Artifact`
      Returns:
        the type of the artifact. Never null.

    - #### getUrl

          public java.net.URL getUrl()

      Description copied from interface: `Artifact`
      Returns the url at which this artifact can be found independently of ivy configuration. This can be null (and is usually for standard artifacts)
      Specified by:
        `getUrl` in interface `Artifact`
      Returns:
        url at which this artifact can be found independently of ivy configuration

    - #### setExt

          public void setExt(java.lang.String ext)

    - #### setName

          public void setName(java.lang.String name)

    - #### setType

          public void setType(java.lang.String type)

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String attName)

      Description copied from interface: `ExtendableItem`
      Gets the value of an attribute Can be used to access the value of a standard attribute (like organisation, revision) or of an extra attribute.
      Specified by:
        `getAttribute` in interface `ExtendableItem`
      Parameters:
        `attName` - the name of the attribute to get
      Returns:
        the value of the attribute, null if the attribute doesn't exist

    - #### getAttributes

          public java.util.Map getAttributes()

      Description copied from interface: `ExtendableItem`
      Returns a Map of all attributes of this extendable item, including standard and extra ones. The Map keys are attribute names as Strings, and values are corresponding attribute values (as String too). Extra attributes are included in unqualified form only.
      Specified by:
        `getAttributes` in interface `ExtendableItem`
      Returns:
        A Map instance containing all the attributes and their values.

    - #### getExtraAttribute

          public java.lang.String getExtraAttribute(java.lang.String attName)

      Description copied from interface: `ExtendableItem`
      Gets the value of an extra attribute Can be used only to access the value of an extra attribute, not a standard one (like organisation, revision)
      Specified by:
        `getExtraAttribute` in interface `ExtendableItem`
      Parameters:
        `attName` - the name of the extra attribute to get. This name can be either qualified or unqualified.
      Returns:
        the value of the attribute, null if the attribute doesn't exist

    - #### getExtraAttributes

          public java.util.Map getExtraAttributes()

      Description copied from interface: `ExtendableItem`
      Returns a Map of all extra attributes of this extendable item. The Map keys are unqualified attribute names as Strings, and values are corresponding attribute values (as String too)
      Specified by:
        `getExtraAttributes` in interface `ExtendableItem`
      Returns:
        A Map instance containing all the extra attributes and their values.
      See Also:
        `ExtendableItem.getQualifiedExtraAttributes()`

    - #### getQualifiedExtraAttributes

          public java.util.Map getQualifiedExtraAttributes()

      Description copied from interface: `ExtendableItem`
      Returns a Map of all extra attributes of this extendable item.

      The Map keys are qualified attribute names as Strings, and values are corresponding attribute values (as String too).

      An attribute name is qualified with a namespace exactly the same way xml attributes are qualified. Thus qualified attribute names are of the form `prefix:name`

      Specified by:
        `getQualifiedExtraAttributes` in interface `ExtendableItem`
      Returns:
        A Map instance containing all the extra attributes and their values.
      See Also:
        `ExtendableItem.getExtraAttributes()`

    - #### isMetadata

          public boolean isMetadata()

      Description copied from interface: `Artifact`
      Returns true if this artifact represents a module metadata artifact, false if it's a published artifact
      Specified by:
        `isMetadata` in interface `Artifact`
      Returns:
        true if this artifact represents a module metadata artifact, false if it's a published artifact

    - #### setDynamicAttribute

          public void setDynamicAttribute(java.lang.String name,
                                 java.lang.String value)

      Specified by:
        `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicAttribute`